function varargout=slicemesh(self,P,varargin)
  % plot function u on plan defined by p(1)*x+p(2)*y+p(3)*z+p(4)=0
  assert(self.d==3 && self.dim==3);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('FaceColor',self.color);
  p.addParamValue('EdgeColor','none');
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  assert(self.d==3 && self.dim==3)
  view(3)
%    s = fc_tools.graphics.gptoolbox.tsurf([1 1 1],self.q','EdgeColor','none',varargin{:});%'EdgeColor','none');
%    [U,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets(self.q',self.me',P);
%    set(s,'Vertices',U,'Faces',G);
%    if nargout==1, varargout{1}=s;end
  [U,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets2(self.q',self.me',P);
  h=patch('Vertices',U,'Faces',G,'EdgeColor','none','FaceColor',R.FaceColor,varargin{:});
  if nargout==1, varargout{1}=h;end
end